Skip to main content
GET
/
api
/
v1
/
payouts
/
{id}
Get a payout
curl --request GET \
  --url https://api.introw.io/api/v1/payouts/{id} \
  --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.introw.io/api/v1/payouts/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.introw.io/api/v1/payouts/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "data": {
    "id": "pay_2x7n4q8z0w1a2b3c4d5e6f7g",
    "partner": {
      "id": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
      "name": "Acme Partners"
    },
    "batchId": "pbt_9h8g7f6e5d4c3b2a1z0w9v8u",
    "periodStart": "2026-01-01T00:00:00.000Z",
    "periodEnd": "2026-03-31T23:59:59.000Z",
    "amount": {
      "value": "4250.00",
      "currency": "USD"
    },
    "stage": "PENDING_REVIEW",
    "poNumber": null,
    "createdAt": "2026-04-05T09:00:00.000Z",
    "updatedAt": "2026-04-05T09:00:00.000Z"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}

Authorizations

x-api-key
string
header
required

Introw API key shown once when the credential is created.

Path Parameters

id
string
required

Payout identifier.

Minimum string length: 1

Response

Payout returned successfully.

data
object
required